<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.system.mapper.SystemConfigItemMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.storlead.system.pojo.entity.SystemConfigItemEntity" extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap">
             <id column="item_id" property="itemId" />
             <result column="item_name" property="itemName" />
             <result column="item_code" property="itemCode" />
             <result column="item_data_type" property="itemDataType" />
             <result column="item_data_format_desc" property="itemDataFormatDesc" />
             <result column="item_format_value" property="itemFormatValue" />
             <result column="item_desc" property="itemDesc" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
            item_id, item_name, item_code, item_data_type, item_data_format_desc, item_format_value, item_desc, <include refid="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.Base_Column_List"></include>
        </sql>

</mapper>
